GET /v2/email_templates.json

salesloft.com

Summary: List email templates
Operation ID:
Auth: unknown
Description

Fetches multiple email template records. The records can be filtered, paged, and sorted according to the respective parameters.

Parameters (17)

cadence_id (array, query, optional)

Filters email templates to those belonging to the cadence. Not to exceed 100 IDs. If a record can't be found, that record won't be returned and your request will be successful

filter_by_owner (boolean, query, optional)

Filters email templates by current authenticated user

group_id (array, query, optional)

Filters email templates by groups applied to the template by group ID. Not to exceed 500 IDs. Returns templates that are assigned to any of the group ids.

ids (array, query, optional)

IDs of email templates to fetch. If a record can't be found, that record won't be returned and your request will be successful

include_archived_templates (boolean, query, optional)

Filters email templates to include archived templates or not

include_cadence_templates (boolean, query, optional)

Filters email templates based on whether or not the template has been used on a cadence

include_paging_counts (boolean, query, optional)

Whether to include total_pages and total_count in the metadata. Defaults to false

limit_paging_counts (boolean, query, optional)

Specifies whether the max limit of 10k records should be applied to pagination counts. Affects the total_count and total_pages data

linked_to_team_template (boolean, query, optional)

Filters email templates by whether they are linked to a team template or not

page (integer, query, optional)

The current page to fetch results from. Defaults to 1

per_page (integer, query, optional)

How many records to show per page in the range [1, 100]. Defaults to 25

search (string, query, optional)

Filters email templates by title or subject

sort_by (string, query, optional)

Key to sort on, must be one of: created_at, updated_at, last_used_at. Defaults to updated_at

sort_direction (string, query, optional)

Direction to sort in, must be one of: ASC, DESC. Defaults to DESC

tag (array, query, optional)

Filters email templates by tags applied to the template, not to exceed 100 tags

tag_ids (array, query, optional)

Filters email templates by tags applied to the template by tag ID, not to exceed 100 IDs

updated_at (array, query, optional)

Equality filters that are applied to the updated_at field. A single filter can be used by itself or combined with other filters to create a range. ---CUSTOM--- {"type":"object","keys":[{"name":"gt","type":"iso8601 string","description":"Returns all matching records that are greater than the provided iso8601 timestamp. The comparison is done using microsecond precision."},{"name":"gte","type":"iso8601 string","description":"Returns all matching records that are greater than or equal to the provided iso8601 timestamp. The comparison is done using microsecond precision."},{"name":"lt","type":"iso8601 string","description":"Returns all matching records that are less than the provided iso8601 timestamp. The comparison is done using microsecond precision."},{"name":"lte","type":"iso8601 string","description":"Returns all matching records that are less than or equal to the provided iso8601 timestamp. The comparison is done using microsecond precision."}]}

No probe data for this endpoint yet.